5 Replies Latest reply on Nov 18, 2010 12:50 PM by Fabricio Raphael

    What controls the SOAP version used in JBoss

    Amit Sinha Newbie

      I am using JBoss version 4.2.2

      I am calling a webservice from a JBoss application. I am using the SOAP 1.1 binding from the stubs (generated from wsdl using wsconsume). Whatever I do, I always see this warning which tells me that somehow SOAP 1.2 is expected.

      15:17:43,085 WARN [SOAP12BindingJAXWS] Expected SOAP-1.2 envelope, but got: http://schemas.xmlsoap.org/soap/envelope/

      What soap version does JBossWS support/use and is there a way to change it.